Hoppa till huvudinnehåll

Den här webbläsaren stöds inte längre.

Uppgradera till Microsoft Edge och dra nytta av de senaste funktionerna och säkerhetsuppdateringarna, samt teknisk support.

Ladda ned Microsoft Edge Mer information om Internet Explorer och Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Redteams

Create a redteam run

POST /redTeams/runs:run

Submits a new redteam run for execution with the provided configuration.

Rubrikparametrar

Foundry-Features enum krävs

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

RedTeams=V1Preview

Frågeparametrar

api-version string krävs

The API version to use for this operation.

Begärandetext

Redteam to be run

Content-Type: application/json
id string krävs

Identifier of the red team run.

displayName string

Name of the red-team run.

numTurns integer

Number of simulation rounds.

attackStrategies AttackStrategy[]

List of attack strategies or nested lists of attack strategies.

simulationOnly boolean

Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.

riskCategories RiskCategory[]

List of risk categories to generate attack objectives for.

applicationScenario string

Application scenario for the red team operation, to generate scenario specific attacks.

tags object

Red team's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
status string

Status of the red-team. It is set by service and is read-only.

target AzureOpenAIModel krävs

Abstract class for target configuration.

Något av följande:
AzureOpenAIModel AzureOpenAIModelConfiguration

Azure OpenAI model configuration. The API version would be selected by the service for querying the model.

type enum krävs
AzureOpenAIModel
modelDeploymentName string krävs

Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).

Svar

The request has succeeded and a new resource has been created as a result.

Brödtext

Content-Type: application/json
id string krävs

Identifier of the red team run.

displayName string

Name of the red-team run.

numTurns integer

Number of simulation rounds.

attackStrategies AttackStrategy[]

List of attack strategies or nested lists of attack strategies.

simulationOnly boolean

Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.

riskCategories RiskCategory[]

List of risk categories to generate attack objectives for.

applicationScenario string

Application scenario for the red team operation, to generate scenario specific attacks.

tags object

Red team's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
status string

Status of the red-team. It is set by service and is read-only.

target AzureOpenAIModel krävs

Abstract class for target configuration.

Något av följande:
AzureOpenAIModel AzureOpenAIModelConfiguration

Azure OpenAI model configuration. The API version would be selected by the service for querying the model.

type enum krävs
AzureOpenAIModel
modelDeploymentName string krävs

Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).

Client error

Brödtext

Content-Type: application/json
error OpenAI.Error krävs
code string | null krävs
message string krävs
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Något av följande:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string krävs

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Brödtext

Content-Type: application/json
error OpenAI.Error krävs
code string | null krävs
message string krävs
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Något av följande:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string krävs

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Förfrågan

POST /redTeams/runs:run HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
sv-se
Dina sekretessalternativ
  • Ansvarsfriskrivning för AI
  • Tidigare versioner
  • Blogg
  • Bidra
  • Sekretess
  • Konsumenthälsans integritet
  • Användningsvillkor
  • Varumärken
  • © Microsoft 2026